#include <stdio.h>
#include <stdarg.h>
#include <string.h>
#include <kernel.h>
#include "kernel_cfg.h"
#include "syssvc/serial.h"
#include "debug.h"

void init_debug(void)
{
	serial_opn_por(TASK_PORTID);
	serial_ctl_por(TASK_PORTID, (IOCTL_CRLF | IOCTL_FCSND | IOCTL_FCRCV));
	return;
}

void debug_printf(const char *control, ...)	/* OԂȂ悤 */
{
	#ifdef USE_PRINTF
	char buf[256];
	va_list vargs;

	va_start(vargs, control);
	vsprintf(buf, control, vargs);
	va_end(vargs);

	serial_wri_dat(TASK_PORTID, (const char_t*)buf, strlen(buf));
	#endif
	return;
}
