/*
 * debug_printf.c
 *
 *  Created on: 2012/01/01
 *      Author: Kentaro Sekimoto
 */
#include "stdarg.h"
#include "fm3_uart.h"

int vxsnprintf(char *buf, int buf_size, char *fmt, va_list args);

int debug_printf(char* format, ...)
{
	char buf[256];
	int len;
	va_list arg_ptr;
	va_start(arg_ptr, format);
	len = vxsnprintf(buf, 255, format, arg_ptr);
	UART_TxStr(UART_CH, (unsigned char*)buf);
	va_end(arg_ptr);
	return len;
}

#if 0
#include <sys/types.h>

extern int  __HEAP_START;

caddr_t _sbrk ( int incr )
{
	static unsigned char *heap = NULL;
	unsigned char *prev_heap;

	if (heap == NULL) {
		heap = (unsigned char *)&__HEAP_START;
	}
	prev_heap = heap;
	/* check removed to show basic approach */

	heap += incr;

	return (caddr_t) prev_heap;
}
#endif
