/*
 * ip.h
 *
 *  Created on: 2012/01/28
 *      Author: Kentaro Sekimoto
 */

#ifndef IP_H_
#define IP_H_

struct ip_addr {
	unsigned int addr;
};

struct ip_addr1 {
	unsigned char addr[4];
};

struct ip_addr2 {
	unsigned short addrw[2];
};

struct ip_hdr {
	/* version / header length / type of service */
	unsigned short v_hl_tos;
	/* total length */
	unsigned short len;
	/* identification */
	unsigned short id;
	/* fragment offset field */
	unsigned short offset;
	/* time to live / protocol*/
	unsigned short ttl_proto;
	/* checksum */
	unsigned short chksum;
	/* source and destination IP addresses */
	struct ip_addr src;
	struct ip_addr dst;
};

#endif /* IP_H_ */
