#include "mb9bf618t.h"
#include "bt.h"

#define BT_MSEC		FM3_BT0_RT		//BT01mbɎgp

void init_bt(void)
{
	//o͐ݒ(mFp)
	FM3_GPIO->EPFR04_f.TIOA0E0	= 0;		//TIOA0_1gp
	FM3_GPIO->EPFR04_f.TIOA0E1	= 1;		//TIOA0_1gp
	FM3_GPIO->PFR3_f.PA			= 1;		//P3A̒[qg@\ƂĎgp
	//1mb
	BT_MSEC->TMCR				= 0x0030;	//[h^C}@\I
	BT_MSEC->TMCR2				= 0x01;		///512
	BT_MSEC->STC_f.UDIE			= 1;		//݂
	BT_MSEC->PCSR				= 72000000 / 512 / 1000 - 1;

	BT_MSEC->TMCR_f.CTEN = 1;		//싖
	BT_MSEC->TMCR_f.STRG = 1;		//\tgEFAN

	NVIC_EnableIRQ(BTIM0_7_IRQn);
	return;
}

unsigned int msec = 0;

void BT0_7_IRQHandler(void)
{
	if(FM3_INTREQ->IRQ31MON & (1 << 0))		//x[X^C}ch0IRQ0ݗvH
	{
		BT_MSEC->STC_f.UDIR = 0;		//ݗvNA
		msec++;
	}
	return;
}

unsigned int get_msec(void)
{
	return msec;
}
