#include "fm3_mb9bxxx.h"
#include "led.h"

#define LED_BIT 3

void init_led(intptr_t exinf)
{
	*BITBAND(FM3_GPIO_PFRF, LED_BIT) = 0;	//|[g@\ݒ背WX^
	*BITBAND(FM3_GPIO_PDORF, LED_BIT) = 1;	//|[go̓f[^WX^
	*BITBAND(FM3_GPIO_DDRF, LED_BIT) = 1;	//|[go͕ݒ背WX^
	*BITBAND(FM3_GPIO_PZRF, LED_BIT) = 1;	//|[g[I[vhCݒ背WX^
	return;
}

/* LED_ */
void led_on(void)
{
	*BITBAND(FM3_GPIO_PDORF, LED_BIT) = 0;
	return;
}

/* LED */
void led_off(void)
{
	*BITBAND(FM3_GPIO_PDORF, LED_BIT) = 1;
	return;
}

/* LED𔽓] */
void led_toggle(void)
{
	*BITBAND(FM3_GPIO_PDORF, LED_BIT) ^= 1;
	return;
}

/* LED𕪎Ĕ] */
void led_toggle_div(unsigned int div)
{
	static unsigned int n = 0;

	if(++n >= div)
	{
		n = 0;
		led_toggle();
	}
	return;
}
